using System;
using System.Globalization;
using Xamarin.Forms;

namespace InABox.Mobile
{
    public class EmptyConverter : IValueConverter
    {

        public event UtilityCoverterEvent Converting;
        public event UtilityCoverterEvent ConvertingBack;
        
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            Converting?.Invoke(this,new UtilityConverterEventArgs(value,parameter));
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            ConvertingBack?.Invoke(this,new UtilityConverterEventArgs(value,parameter));
            return value;
        }
    }
}